package Hwork_3_Ch3.task1.Animal_classification;

/*
 * 1. Рассматриваются следующие животные:
 * ● летучая мышь (Bat)
 * ● дельфин (Dolphin)
 * ● золотая рыбка (GoldFish)
 * ● орел (Eagle)
 * Все животные одинаково едят и спят (предположим), и никто из животных не
 * должен иметь возможности делать это иначе.
 * Еще животные умеют по-разному рождаться (wayOfBirth):
 * ● Млекопитающие (Mammal) живородящие.
 * ● Рыбы (Fish) мечут икру.
 * ● Птицы (Bird) откладывают яйца.
 *
 * Помимо этого бывают некоторые особенности, касающиеся передвижения.
 * Бывают летающие животные (Flying) и плавающие (Swimming). Однако орел
 * летает быстро, а летучая мышь медленно. Дельфин плавает быстро, а золотая
 * рыбка медленно.
 *
 * Согласно этим утверждениям нужно создать иерархию, состоящую из классов,
 * абстрактных классов и/или интерфейсов. Каждое действие или утверждение
 * подразумевает под собой вызов void метода, в котором реализован вывод на
 * экран описания текущего действия.
 */

import Hwork_3_Ch3.task1.Movement.Movement;

public abstract class Animal implements Movement {

    //---------------------------- Методы ----------------------------
    public void animalSleep() {
        System.out.println("Я сплю!");
    }

    public void animalEat() {
        System.out.println("Я ем!");
    }

    public void Move() {
    }

    //---------------------------- Абстрактные методы ----------------------------
    public abstract void wayOfBirth();


}
